/// <reference types="npmcli__package-json" />
import type { RawConfiguration, Configuration, WorkspaceConfiguration } from './types/config.js';
import type { PackageJson } from '@npmcli/package-json';
type ConfigurationManagerOptions = {
    cwd: string;
    isProduction: boolean;
};
export default class ConfigurationChief {
    cwd: string;
    isProduction: boolean;
    config: Configuration;
    manifestPath: undefined | string;
    manifest: undefined | PackageJson;
    manifestWorkspaces: undefined | string[];
    resolvedConfigFilePath: undefined | string;
    constructor({ cwd, isProduction }: ConfigurationManagerOptions);
    loadLocalConfig(): Promise<void>;
    normalize(rawLocalConfig: RawConfiguration): {
        include: string[];
        exclude: string[];
        ignore: string[];
        ignoreBinaries: string[];
        ignoreDependencies: string[];
        ignoreWorkspaces: string[];
        workspaces: Record<string, WorkspaceConfiguration>;
    };
    private getManifestWorkspaces;
    private getConfiguredWorkspaces;
    getAdditionalWorkspaces(manifestWorkspaces: string[]): string[];
    getActiveWorkspaces(): Promise<{
        name: string;
        dir: string;
        config: WorkspaceConfiguration;
        ancestors: string[];
    }[]>;
    getDescendentWorkspaces(name: string): Promise<string[]>;
    getNegatedWorkspacePatterns(name: string): Promise<string[]>;
    private getConfigKeyForWorkspace;
    private hasConfigForWorkspace;
    getConfigForWorkspace(workspaceName: string): WorkspaceConfiguration;
    resolveIncludedIssueTypes(): import("./types/issues.js").Report;
}
export {};
