export const ROOT_WORKSPACE_NAME = '.';
export const KNIP_CONFIG_LOCATIONS = ['knip.json', 'knip.jsonc', '.knip.json', '.knip.jsonc', 'knip.ts', 'knip.js'];
export const DEFAULT_WORKSPACE_CONFIG = {
    entry: ['index.{js,ts,tsx}!', 'src/index.{js,ts,tsx}!'],
    project: ['**/*.{js,ts,tsx}!'],
    paths: {},
    ignore: [],
};
export const TEST_FILE_PATTERNS = ['**/*.{test,spec}.{js,jsx,ts,tsx}', '**/__tests__/**/*.{js,jsx,ts,tsx}'];
export const IGNORED_GLOBAL_BINARIES = [
    'deno',
    'git',
    'node',
    'npm',
    'npx',
    'pnpm',
    'yarn',
    'cd',
    'cp',
    'echo',
    'exit',
    'mkdir',
    'mv',
    'rm',
    'sudo',
];
export const IGNORE_DEFINITELY_TYPED = ['node'];
export const ISSUE_TYPES = [
    'files',
    'dependencies',
    'devDependencies',
    'unlisted',
    'exports',
    'nsExports',
    'types',
    'nsTypes',
    'enumMembers',
    'classMembers',
    'duplicates',
];
export const ISSUE_TYPE_TITLE = {
    files: 'Unused files',
    dependencies: 'Unused dependencies',
    devDependencies: 'Unused dev dependencies',
    unlisted: 'Unlisted or unresolved dependencies',
    exports: 'Unused exports',
    nsExports: 'Unused exports in namespaces',
    types: 'Unused exported types',
    nsTypes: 'Unused exported types in namespaces',
    enumMembers: 'Unused exported enum members',
    classMembers: 'Unused exported class members',
    duplicates: 'Duplicate exports',
};
