import { SourceFile } from 'ts-morph';
import { LineRewriter } from './util/log.js';
import type { Issue, Report } from './types/issues.js';
type IssueCollectorOptions = {
    cwd: string;
    isShowProgress?: boolean;
    report?: Report;
};
export default class IssueCollector {
    report: Report;
    issues: import("./types/issues.js").Issues;
    counters: import("./types/issues.js").Counters;
    lineRewriter: LineRewriter;
    pluginEntryFile: Set<string>;
    referencedFiles: Set<string>;
    cwd: string;
    isShowProgress: boolean;
    constructor({ cwd, isShowProgress, report }: IssueCollectorOptions);
    setIsShowProgress(isShowProgress: boolean): void;
    setTotalFileCount(count: number): void;
    addFilesIssues(sourceFiles: Set<SourceFile>): void;
    addIssue(issue: Issue): void;
    setReport(report: Report): void;
    updateMessage(message: string): void;
    updateProgress(issue?: Issue): void;
    removeProgress(): void;
    getIssues(): {
        report: Report;
        issues: import("./types/issues.js").Issues;
        counters: import("./types/issues.js").Counters;
    };
}
export {};
