import { _load } from '../../util/loader.js';
import { timerify } from '../../util/performance.js';
import { hasDependency } from '../../util/plugin.js';
export const NAME = 'commitlint';
export const ENABLERS = ['@commitlint/cli'];
export const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
export const CONFIG_FILE_PATTERNS = ['commitlint.config.{js,ts}'];
const findCommitLintDependencies = async (configFilePath) => {
    const config = await _load(configFilePath);
    return config?.extends ? [config.extends].flat() : [];
};
export const findDependencies = timerify(findCommitLintDependencies);
