import { _load } from '../../util/loader.js';
import { getPackageName } from '../../util/modules.js';
import { timerify } from '../../util/performance.js';
import { hasDependency } from '../../util/plugin.js';
export const NAME = 'Mocha';
export const ENABLERS = ['mocha'];
export const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
export const CONFIG_FILE_PATTERNS = ['.mocharc.{js,cjs,json,jsonc,yml,yaml}', 'package.json'];
export const ENTRY_FILE_PATTERNS = ['test/**/*.{js,cjs,mjs}'];
const findMochaDependencies = async (configFilePath, { manifest }) => {
    const config = configFilePath.endsWith('package.json') ? manifest.mocha : await _load(configFilePath);
    if (config) {
        const require = config.require;
        return require ? [require].flat().map(getPackageName) : [];
    }
    return [];
};
export const findDependencies = timerify(findMochaDependencies);
