import { _load } from '../../util/loader.js';
import { timerify } from '../../util/performance.js';
import { hasDependency } from '../../util/plugin.js';
export const NAME = 'nyc';
export const ENABLERS = ['nyc'];
export const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
export const CONFIG_FILE_PATTERNS = ['.nycrc', '.nycrc.json', '.nycrc.{yml,yaml}', 'nyc.config.js'];
const findNycDependencies = async (configFilePath) => {
    const config = await _load(configFilePath);
    return config.extends ? [config.extends].flat() : [];
};
export const findDependencies = timerify(findNycDependencies);
