import { _load } from '../../util/loader.js';
import { timerify } from '../../util/performance.js';
import { hasDependency } from '../../util/plugin.js';
export const NAME = 'Release It';
export const ENABLERS = ['release-it'];
export const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
export const CONFIG_FILE_PATTERNS = [
    '.release-it.json',
    '.release-it.{js,cjs}',
    '.release-it.{yml,yaml}',
    'package.json',
];
const findReleaseItDependencies = async (configFilePath, { manifest }) => {
    const config = configFilePath.endsWith('package.json')
        ? manifest['release-it']
        : await _load(configFilePath);
    return config?.plugins ? Object.keys(config.plugins) : [];
};
export const findDependencies = timerify(findReleaseItDependencies);
