import { compact } from '../../util/array.js';
import { _load } from '../../util/loader.js';
import { getPackageName } from '../../util/modules.js';
import { timerify } from '../../util/performance.js';
import { hasDependency } from '../../util/plugin.js';
export const NAME = 'TypeScript';
export const ENABLERS = ['typescript'];
export const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
export const CONFIG_FILE_PATTERNS = ['tsconfig.json'];
const findTypeScriptDependencies = async (configFilePath) => {
    const config = await _load(configFilePath);
    const extend = config?.extends && !config.extends.startsWith('.') ? [getPackageName(config.extends)] : [];
    const plugins = compact(config?.compilerOptions?.plugins?.map(plugin => plugin.name) ?? []);
    return [...extend, ...plugins];
};
export const findDependencies = timerify(findTypeScriptDependencies);
