import parsedArgs from './cli-arguments.js';
const { values: { 'no-progress': isNoProgress = false, debug: isDebug = false }, } = parsedArgs;
export const getLine = (value, text) => `${String(value).padStart(5)} ${text}`;
export class LineRewriter {
    lines = 0;
    clearLines(count) {
        if (count > 0) {
            for (let i = 0; i < count; i++) {
                process.stdout.moveCursor(0, -1);
                process.stdout.clearLine(1);
            }
        }
        process.stdout.cursorTo(0);
    }
    resetLines() {
        this.clearLines(this.lines);
    }
    update(messages) {
        this.resetLines();
        process.stdout.write(messages.join('\n') + '\n');
        this.lines = messages.length;
    }
}
export const logIfDebug = (error) => {
    if (isDebug) {
        console.error(error);
    }
    else if (isNoProgress && error instanceof Error) {
        console.error(error.toString());
    }
};
